VCSHADServer (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.veritas.cluster.VCSHADServer interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.veritas.cluster
Interface VCSHADServer

All Superinterfaces:
  AppServer, ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface VCSHADServer

extends AppServer

The VCS high-availability daemon (HAD) runs on each system. Also known as the VCS engine, HAD is responsible for: - building the running cluster configuration from the configuration files - distributing the information when new nodes join the cluster - responding to operator input - taking corrective action when something fails. The engine uses agents to monitor and manage resources. It collects information about resource states from the agents on the local system and forwards it to all cluster members.

Persistable:
  true

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.app.AppServer
`RUNNING, STOPPED`

Method Summary
`VCSCluster` | `getCluster()`
`ConfigFile[]` | `getConfigfiles()`
`VCSSystem` | `getSystem()`
`boolean` | `hasCluster()`
`boolean` | `hasConfigfiles()`
`boolean` | `hasSystem()`
`void` | `setCluster(VCSCluster x)`
`void` | `setConfigfiles(ConfigFile[] x)`
`void` | `setSystem(VCSSystem x)`

Methods inherited from interface com.collation.platform.model.topology.app.AppServer
`getAppDescriptors, getConfigContents, getConfigFile, getContainers, getExecutable, getExecutableName, getHost, getKeyName, getModules, getName, getPrimarySAP, getProcessPools, getProductName, getProductVersion, getResources, getSoftwareInstallation, getStatus, getVendorName, getZReportFiles, hasAppDescriptors, hasConfigContents, hasConfigFile, hasContainers, hasExecutable, hasExecutableName, hasHost, hasKeyName, hasModules, hasName, hasPrimarySAP, hasProcessPools, hasProductName, hasProductVersion, hasResources, hasSoftwareInstallation, hasStatus, hasVendorName, hasZReportFiles, setAppDescriptors, setConfigContents, setConfigFile, setContainers, setExecutable, setExecutableName, setHost, setKeyName, setModules, setName, setPrimarySAP, setProcessPools, setProductName, setProductVersion, setResources, setSoftwareInstallation, setStatus, setVendorName, setZReportFiles`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getSystem

    VCSSystem getSystem()
                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Realizes" reverse="false"

### setSystem

    void setSystem(VCSSystem x)

### hasSystem

    boolean hasSystem()

### getCluster

    VCSCluster getCluster()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.MemberOf" reverse="false"

### setCluster

    void setCluster(VCSCluster x)

### hasCluster

    boolean hasCluster()

### getConfigfiles

    ConfigFile[] getConfigfiles()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.ConfiguredUsing" reverse="false"

### setConfigfiles

    void setConfigfiles(ConfigFile[] x)

### hasConfigfiles

    boolean hasConfigfiles()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD